#
# spec file for package perl-Encode-HanExtra
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Encode-HanExtra
PreReq:         /usr/bin/enc2xs
Version:        0.23
Release:        90.4
Url:            http://search.cpan.org/~autrijus/Encode-HanExtra-0.23/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/Encode-HanExtra-0.23.tar.gz
Patch1:         HanExtra-include-sort.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Extra sets of Chinese encodings
License:        MIT
Group:          Development/Libraries/Perl
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
Perl 5.7.3 and later ships with an adequate set of Chinese encodings,
including the most used CP950, CP936 (also known as GBK), Big5,
Big5-HKSCS, EUC-CN, HZ, and ISO-IR-165.

However, the numbers of Chinese encodings are staggering, and a
complete coverage will easily increase the size of perl distribution by
several megabytes; hence, this CPAN module tries to provide the rest of
them.

%prep
%autosetup -p1 -n Encode-HanExtra-%{version}

%build
sed -i -e 's/use inc::Module::Install;/use lib q[.];\nuse inc::Module::Install;/' Makefile.PL
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make %{?_smp_mflags}

%install
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%post
enc2xs -C >/dev/null 2>&1

%postun
if [ $1 = 0 ]; then
    enc2xs -C >/dev/null 2>&1
fi

%clean 

%files 
%defattr(-,root,root)
%doc Changes MANIFEST README*
%{_mandir}/man3/*.3pm.gz
%{perl_vendorarch}/Encode/
%{perl_vendorarch}/auto/Encode/

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Sat Sep 23 2017 coolo@suse.com
- compile with perl 5.26 by patching the Makefile
* Tue Feb  3 2015 tiwai@suse.de
- sort the entries in HanExtra.c for consistent packaging
  (boo#915951):
  HanExtra-include-sort.patch
* Sun Nov  9 2014 Led <ledest@gmail.com>
- fix bashism in postun script
* Fri Dec  2 2011 coolo@suse.com
- use original tar
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Nov 12 2007 mfabian@suse.de
- update to 0.23.
  • Split .ucm files into several object files, so enc2xs will no longer
  take absurd amount of memory.
  Reported by: David Cantrell
  • Add Big5-2003, the newest incarnation of Big5 and a Taiwanese national
  standard (as an appendix to CNS11643).
  • Oops, the CCCII map was broken.  So sowwy. :-/
  Reported by: CPAN Testers.
  • LICENSING CHANGE: This compilation and all individual files in it
  are now under the permissive "MIT" license.  See the COPYRIGHT
  section in README for the new terms.
  • CCCII: Revised, using table supplied by the Koha Taiwan project.
  • GB18030: Removed invalid Unicode codepoints.
  • Build system upgraded from ExtUtils::MakeMaker to Module::Install.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug  2 2005 mfabian@suse.de
- update to 0.10.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sat Sep 13 2003 mfabian@suse.de
- add "Prereq: /usr/bin/enc2xs", thanks to
  Andreas Jaeger <aj@suse.de> for noticing the omission.
* Fri Aug 29 2003 mfabian@suse.de
- redirect stdout and stderr of "enc2xs -C" to /dev/null.
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Wed Jul 16 2003 mfabian@suse.de
- use vendorarch instead of sitearch.
- simplify file list.
* Sun Jun 15 2003 mfabian@suse.de
- fix "directory now owned by any package".
* Sun May 25 2003 ro@suse.de
- remove unpackaged files from buildroot
* Fri May 16 2003 mfabian@suse.de
- remove perllocal.pod from buildroot.
* Mon May 12 2003 mfabian@suse.de
- use "enc2xs -C" in %%post and %%postun to register/unregister
  the new encodings in the on demand-loading list.
* Fri May  9 2003 mfabian@suse.de
- new package: perl-Encode-HanExtra-0.07
- fix installation of man-page
